Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions

# Clutter::Interval Class Reference

Inherits Glib::Object.

Collaboration diagram for Clutter::Interval:
[legend]

List of all members.

## Public Member Functions
virtual | ~Interval ()
ClutterInterval* | gobj ()
| Provides access to the underlying C GObject.
const ClutterInterval* | gobj () const
| Provides access to the underlying C GObject.
ClutterInterval* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Interval > | clone () const
| Creates a copy of interval.
GType | get_value_type () const
| Retrieves the Type of the values inside interval.
void | set_initial_value (const Glib::ValueBase&value)
| Sets the initial value of interval to value.
void | get_initial_value (Glib::ValueBase&value) const
| Retrieves the initial value of interval and copies it into value.
GValue* | peek_initial_value ()
| Gets the pointer to the initial value of interval.
void | set_final_value (const Glib::ValueBase&value)
| Sets the final value of interval to value.
void | get_final_value (Glib::ValueBase&value) const
| Retrieves the final value of interval and copies it into value.
GValue* | peek_final_value ()
| Gets the pointer to the final value of interval.
void | set_interval (const Glib::ValueBase& initial, const Glib::ValueBase& final)
void | get_interval (Glib::ValueBase& initial, Glib::ValueBase& final)
bool | compute_value (double factor, Glib::ValueBase&value) const
| Computes the value between the interval boundaries given the progress factor and puts it into value.
bool | validate (GParamSpec* pspec) const
| Validates the initial and final values of interval against a ParamSpec.
Glib::PropertyProxy_ReadOnly < GType > | property_value_type () const
| The type of the values in the interval.
## Static Public Member Functions
template<typename ValueType >
static Glib::RefPtr< Interval > | create (const ValueType initial, const ValueType final)
template<typename ValueType >
static Glib::RefPtr< Interval > | create_with_values (const Glib::Value< ValueType >& initial, const Glib::Value< ValueType >& final)
## Protected Member Functions
| Interval (GType type, const Glib::ValueBase& initial, const Glib::ValueBase& final)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Clutter::Interval > | wrap (ClutterInterval* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Constructor & Destructor Documentation

virtual Clutter::Interval::~Interval | ( |  | ) | `[virtual]`

Clutter::Interval::Interval | ( | GType | type,
|  | const Glib::ValueBase & | initial,
|  | const Glib::ValueBase & | final |
| ) |  |  | `[protected]`

## Member Function Documentation

Glib::RefPtr<Interval> Clutter::Interval::clone | ( |  | ) | const

Creates a copy of interval.

Since cluttermm 1.0:

Returns:
  The newly created Clutter::Interval.

bool Clutter::Interval::compute_value | ( | double | factor,
|  | Glib::ValueBase & | value |
| ) |  |  | const

Computes the value between the interval boundaries given the progress factor and puts it into value.

Since cluttermm 1.0:

Parameters:

  | factor | The progress factor, between 0 and 1.
  | value | Return location for an initialized Value.

Returns:
  `true` if the operation was successful.

template <typename ValueType >

static Glib::RefPtr<Interval> Clutter::Interval::create | ( | const ValueType | initial,
|  | const ValueType | final |
| ) |  |  | `[static]`

template <typename ValueType >

static Glib::RefPtr<Interval> Clutter::Interval::create_with_values | ( | const Glib::Value< ValueType > & | initial,
|  | const Glib::Value< ValueType > & | final |
| ) |  |  | `[static]`

void Clutter::Interval::get_final_value | ( | Glib::ValueBase & | value | ) | const

Retrieves the final value of interval and copies it into value.

The passed Value must be initialized to the value held by the Clutter::Interval.

Since cluttermm 1.0:

Parameters:

  | value | A Value.

void Clutter::Interval::get_initial_value | ( | Glib::ValueBase & | value | ) | const

Retrieves the initial value of interval and copies it into value.

The passed Value must be initialized to the value held by the Clutter::Interval.

Since cluttermm 1.0:

Parameters:

  | value | A Value.

void Clutter::Interval::get_interval | ( | Glib::ValueBase & | initial,
|  | Glib::ValueBase & | final |
| ) |  |  |

GType Clutter::Interval::get_value_type | ( |  | ) | const

Retrieves the Type of the values inside interval.

Since cluttermm 1.0:

Returns:
  The type of the value, or G_TYPE_INVALID.

const ClutterInterval* Clutter::Interval::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterInterval* Clutter::Interval::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::ObjectBase.

ClutterInterval* Clutter::Interval::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

GValue* Clutter::Interval::peek_final_value | ( |  | ) |

Gets the pointer to the final value of interval.

Since cluttermm 1.0:

Returns:
  The final value of the interval. The value is owned by the Clutter::Interval and it should not be modified or freed.

GValue* Clutter::Interval::peek_initial_value | ( |  | ) |

Gets the pointer to the initial value of interval.

Since cluttermm 1.0:

Returns:
  The initial value of the interval. The value is owned by the Clutter::Interval and it should not be modified or freed.

Glib::PropertyProxy_ReadOnly<GType> Clutter::Interval::property_value_type | ( |  | ) | const

The type of the values in the interval.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Clutter::Interval::set_final_value | ( | const Glib::ValueBase & | value | ) |

Sets the final value of interval to value.

The value is copied inside the Clutter::Interval.

Since cluttermm 1.0:

Parameters:

  | value | A Value.

void Clutter::Interval::set_initial_value | ( | const Glib::ValueBase & | value | ) |

Sets the initial value of interval to value.

The value is copied inside the Clutter::Interval.

Since cluttermm 1.0:

Parameters:

  | value | A Value.

void Clutter::Interval::set_interval | ( | const Glib::ValueBase & | initial,
|  | const Glib::ValueBase & | final |
| ) |  |  |

bool Clutter::Interval::validate | ( | GParamSpec * | pspec | ) | const

Validates the initial and final values of interval against a ParamSpec.

Since cluttermm 1.0:

Parameters:

  | pspec | A ParamSpec.

Returns:
  `true` if the Clutter::Interval is valid, `false` otherwise.

## Friends And Related Function Documentation

Glib::RefPtr< Clutter::Interval > wrap | ( | ClutterInterval * | object,
|  | bool | take_copy = `false` |
| ) |  |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  | object | The C instance.
  | take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- cluttermm/interval.h